---
apiVersion: tekton.dev/v1alpha1
kind: TriggerTemplate
metadata:
  name: github-trigger-template
  namespace: tekton-pipeline-istio-project-1
spec:
  params:
    - name: gitrevision
      description: The git revision
      default: master
    - name: gitrepositoryurl
      description: The git repository url
  resourcetemplates:
    - apiVersion: tekton.dev/v1alpha1
      kind: PipelineRun
      metadata:
        name: application-pipeline-run
        namespace: tekton-pipeline-istio-project-1
      spec:
        serviceAccountName: service-acc
        pipelineRef:
          name: application-pipeline
        resources:
          - name: git-master
            resourceRef:
              name: git-master
          - name: git-experimental
            resourceRef:
              name: git-experimental
